%***Detekce jednotlivých shluků***
temppp = size (vyprahovano);          %zjisteni velikosti vyprahovaného obrazu  
pamet.img.size.y = temppp(1);         %oddeleni y složky  
pamet.img.size.x = temppp(2);         %oddeleni x složky

index = 1;
%vytvoření seznamu spojitých oblastí o šířce jedno pixlu přes sloupce
for x=1:1:pamet.img.size.x;
    for y=1:1:pamet.img.size.y;
        if (vyprahovano(y,x,1)==1)
            if (y>1) && (index>1)
               if ((pamet.seznam(index-1,3)+1) == y)&&(pamet.seznam(index-1,4) == x)
                    pamet.seznam(index-1,3)=y;
                else
                pamet.seznam(index,1)=index;
                pamet.seznam(index,2)=y;
                pamet.seznam(index,3)=y;
                pamet.seznam(index,4)=x;
                pamet.seznam(index,5)=x;
                index= index + 1;
                end
            else
                pamet.seznam(index,1)=index;
                pamet.seznam(index,2)=y;
                pamet.seznam(index,3)=y;
                pamet.seznam(index,4)=x;
                pamet.seznam(index,5)=x;
                index= index + 1;
            end
        end    
    end
end
%spojování spojitých oblastí do vetších celků
index_stary=0;
while  index_stary~=index
    index_stary=index;
    for p1=1:1:(index-2)
        for p2=2:1:(index-1)
        if (p1 ~= p2)
            if ((pamet.seznam(p1,2)-1 <= pamet.seznam(p2,2))&&(pamet.seznam(p1,3)+1 >= pamet.seznam(p2,2)))||((pamet.seznam(p1,2)-1 <= pamet.seznam(p2,3))&&(pamet.seznam(p1,3)+1 >= pamet.seznam(p2,3)))
                if ((pamet.seznam(p1,4)-1 <= pamet.seznam(p2,4))&&(pamet.seznam(p1,5)+1 >= pamet.seznam(p2,4)))||((pamet.seznam(p1,4)-1 <= pamet.seznam(p2,5))&&(pamet.seznam(p1,5)+1 >= pamet.seznam(p2,5)))
                    if (pamet.seznam(p1,2)>=pamet.seznam(p2,2)) pamet.seznam(p1,2)=pamet.seznam(p2,2);, end
                    if (pamet.seznam(p1,3)<=pamet.seznam(p2,3)) pamet.seznam(p1,3)=pamet.seznam(p2,3);, end
                    if (pamet.seznam(p1,4)>=pamet.seznam(p2,4)) pamet.seznam(p1,4)=pamet.seznam(p2,4);, end
                    if (pamet.seznam(p1,5)<=pamet.seznam(p2,5)) pamet.seznam(p1,5)=pamet.seznam(p2,5);, end
                    for p3=p2:1:(index-2)
                        pamet.seznam(p3,:)=pamet.seznam(p3+1,:);
                    end
                    pamet.seznam((index-1),:) = 0;
                    index=index-1;
                end
            end 
        end
        end
    end
end
set(findobj('Tag','Kontrolka_vshluky'),'BackgroundColor','green');             % obarvi kontrolku ze je krok dokoncen